#include <SPI.h>        
#include <EthernetUdp.h>         
byte mac[] = { 0xAE, 0xAD, 0xBE, 0xEF, 0xFE, 0xED };
IPAddress ip(192, 168, 1, 88);
unsigned int localPort = 8888;      
IPAddress remote(192, 168, 1, 90);
unsigned int remotePort = 8888;      
char rx_Buffer[] = {'0'}; 
char tx_Buffer[] = {'a'};       
EthernetUDP Udp;
void setup() 
{
  pinMode(49,INPUT_PULLUP);
  pinMode(48,OUTPUT);
  Ethernet.begin(mac,ip);
  Udp.begin(localPort);
  Serial.begin(9600);
}
void loop() 
{
  int packetSize = Udp.parsePacket();
  if(packetSize)
  {
    Udp.read(rx_Buffer,1);
    if(digitalRead(49) == 0)
    {
      Udp.beginPacket(remote, remotePort);
      Udp.write(tx_Buffer);
      Udp.endPacket();
      while(digitalRead(49) == 0);
    }  
    if(rx_Buffer[0] == '0')
      digitalWrite(48, LOW);
    else
      digitalWrite(48, HIGH);
  }
}
